org.apache.lucene.analysis.ko

## Enum KoreanTokenizer.Type

- java.lang.Object
- - java.lang.Enum<KoreanTokenizer.Type>
  - - org.apache.lucene.analysis.ko.KoreanTokenizer.Type

- All Implemented Interfaces:
    Serializable, Comparable<KoreanTokenizer.Type>
  Enclosing class:
    KoreanTokenizer

      public static enum KoreanTokenizer.Type
      extends Enum<KoreanTokenizer.Type>

  Token type reflecting the original source of this token

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KNOWN` Known words from the system dictionary.
    `UNKNOWN` Unknown words (heuristically segmented).
    `USER` Known words from the user dictionary.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KoreanTokenizer.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KoreanTokenizer.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KNOWN

          public static final KoreanTokenizer.Type KNOWN

      Known words from the system dictionary.

    - #### UNKNOWN

          public static final KoreanTokenizer.Type UNKNOWN

      Unknown words (heuristically segmented).

    - #### USER

          public static final KoreanTokenizer.Type USER

      Known words from the user dictionary.

  - ### Method Detail

    - #### values

          public static KoreanTokenizer.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KoreanTokenizer.Type c : KoreanTokenizer.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KoreanTokenizer.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.